Subject: Re: Difficulty building gcc 4.3.2 under i386-pc-cygwin
From: Tatsuro MATSUOKA <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 8 Sep 2008 13:11:20 +0900 (JST)
List-Id: <cygwin.cygwin.com>

Hello Werner Wothke 

My suggestin is non-sense from logical sense but is a success story to build gcc-4.3.2.

I have tried with gcc-3.4.4-3 on cygwin, the same error appeared. 
I have compliled from gcc 4.3.2 (only C, C++, Fortran) from gcc 4.3.1, there occured no problems.

To my knowledge 4.2.1 can be comlied with gcc-3.4.4-3 on cygwin.
My way was 4.2.1->4.3.1->4.3.2.  This is silly way but in reality  I have been successful to buid
them.

You will build 4.2.1 and after that using it, you will try to build 4.3.2.
Perhaps this make you to possible to build gcc-4.x.x on cygwin.
I hope this silly example will help you.

Using this gcc- 4.3.2, I have built gnuplot 4.3 (CVS version of gnuplot),
the performance was nice.
 
Regards

Tatsuro

--- Brian Dessent <[email-masked]> wrote:

> Werner Wothke wrote:
> 
> > $ make
> > [ -f stage_final ] || echo stage3 > stage_final
> > make[1]: Entering directory `/cygdrive/c/gcc-4.3.2/Destination'
> > -bubble'.  Stop.rule to make target `stage3
> > make[1]: Leaving directory `/cygdrive/c/gcc-4.3.2/Destination'
> > make: *** [all] Error 2
> 
> The overlapped nature of the error would indicate that you have spurious
> CR characters in a file somewhere.  With a complicated build system like
> gcc there's no way that's ever going to work, and in general using
> Cygwin with DOS line endings is a recipe for doom and frustration.  Use
> a binary mount and don't use Win32 tar extractors that do "helpful" line
> ending convesions (e.g. WinZip.)
> 
> Brian
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 
> 

--------------------------------------
Enjoy MLB with MAJOR.JP! Ichiro, Matsuzaka, Matsui, and more!
http://pr.mail.yahoo.co.jp/mlb/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/